/**
* Test case for the marshalling code for Open Wire Format for ConsumerInfo
*
*
* NOTE!: This file is autogenerated - do not modify!
*        if you need to make a change, please see the Groovy scripts in the
*        activemq-openwire module
*/

package org.activemq.transport.openwire.io;

import org.activemq.io.impl.AbstractPacketMarshaller;
import org.activemq.message.*;
import org.activemq.message.Packet;
import org.activemq.transport.openwire.PacketMarshallerTestSupport;

/**
 * AUTOGENERATED test case for OpenWire command ConsumerInfo

 * @version $Revision: 1.1 $
 */
public class ConsumerInfoMarshallerTest extends PacketMarshallerTestSupport {

    /**
     * @return a newly created marshaller
     */
    protected AbstractPacketMarshaller createMarshaller() {
        return new ConsumerInfoMarshaller();
    }


    /**
     * configures the packet with some test data
     */
    protected void populatePacket(Packet packet) throws Exception {
        super.populatePacket(packet);
        ConsumerInfo info = (ConsumerInfo) packet;

        info.setSessionId((short) 40);
        info.setClientId("TestString41");
        info.setDestination(new ActiveMQQueue("TEST.FOO.BAR.42"));
        info.setSelector("TestString43");
        info.setStarted(false);
        info.setStartTime((long) 45);
        info.setConsumerNo(46);
        info.setConsumerName("TestString47");
        info.setNoLocal(false);
        info.setBrowser(true);
        info.setPrefetchNumber(50);
        info.setConsumerId("TestString51");
   }

    /**
     * Asserts that the read packet has the correct values
     */
    protected void assertPacketValid(Packet packet) throws Exception {
        super.assertPacketValid(packet);
        ConsumerInfo info = (ConsumerInfo) packet;
        
        assertEquals("property SessionId", (short) 40, info.getSessionId());
        assertEquals("property ClientId", "TestString41", info.getClientId());
        assertEquals("property Destination", new ActiveMQQueue("TEST.FOO.BAR.42"), info.getDestination());
        assertEquals("property Selector", "TestString43", info.getSelector());
        assertEquals("property Started", false, info.isStarted());
        assertEquals("property StartTime", (long) 45, info.getStartTime());
        assertEquals("property ConsumerNo", 46, info.getConsumerNo());
        assertEquals("property ConsumerName", "TestString47", info.getConsumerName());
        assertEquals("property NoLocal", false, info.isNoLocal());
        assertEquals("property Browser", true, info.isBrowser());
        assertEquals("property PrefetchNumber", 50, info.getPrefetchNumber());
        assertEquals("property ConsumerId", "TestString51", info.getConsumerId());
    }
}
